MISSINdevelopersLog in

API reference

AttributionOverview

Attribution overview for a date window: attributed revenue by role and judged versus… Read access, attribution toolset, MCP tool get_attribution_overview.

Attribution overview for a date window: attributed revenue by role and judged versus unjudged orders.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
fromDatetime!yesISO 8601 with a zone, e.g. 2026-01-01T00:00:00ZGreater than or equal to the specified value.
fromDayDate!yesISO 8601 date, YYYY-MM-DDGreater than or equal to the specified value.
toDayDate!yesISO 8601 date, YYYY-MM-DDLess than or equal to the specified value.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"AttributionOverview","variables":{"from":"2026-01-01T00:00:00Z","fromDay":"…","toDay":"…"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"08903ce5d2743dd2569a0a03200543cb8eb717dd277af64140a243d770167608"}}}'

Document

graphql
query AttributionOverview($from: Datetime!, $fromDay: Date!, $toDay: Date!) { __typename currencies: allCurrencies { __typename nodes { __typename code decimalPlaces decimalSeparator rowId symbol symbolPosition thousandsSeparator } } fxRates: allFxRates(first: 1, orderBy: [RATE_DATE_DESC]) { __typename nodes { __typename rateDate } } spikes: allMendJudgements( filter: {subjectKind: {equalTo: "spike"}, computedAt: {greaterThanOrEqualTo: $from}} orderBy: [COMPUTED_AT_DESC] first: 60 ) { __typename nodes { __typename action baseline causeEventKind causeTouchpointId confidence direction headline headlineLevel hourStart id magnitude mendStatus revenue rowId } } total: allOrderReporteds( filter: {placedDay: {greaterThanOrEqualTo: $fromDay, lessThanOrEqualTo: $toDay}} ) { __typename aggregates { __typename sum { __typename reportedAttributedRevenue } } groupedAggregates(groupBy: [CONVERTED, NATIVE_CURRENCY, REPORTING_CURRENCY]) { __typename distinctCount { __typename orderId } keys sum { __typename nativeAttributedRevenue } } days: groupedAggregates(groupBy: [PLACED_DAY]) { __typename keys sum { __typename reportedAttributedRevenue } } } explained: allOrderReporteds( filter: {placedDay: {greaterThanOrEqualTo: $fromDay, lessThanOrEqualTo: $toDay}, bestTier: {equalTo: "EVIDENCE"}} ) { __typename aggregates { __typename sum { __typename reportedAttributedRevenue } } groupedAggregates(groupBy: [CONVERTED, NATIVE_CURRENCY, REPORTING_CURRENCY]) { __typename distinctCount { __typename orderId } keys sum { __typename nativeAttributedRevenue } } days: groupedAggregates(groupBy: [PLACED_DAY]) { __typename keys sum { __typename reportedAttributedRevenue } } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.